package main

import (
	"log"
	"os"

	"tildegit.org/tjp/gus/gemini/gemtext"
	"tildegit.org/tjp/gus/gemini/gemtext/mdconv"
)

func main() {
	gmiDoc, err := gemtext.Parse(os.Stdin)
	if err != nil {
		log.Fatal(err)
	}

	if err := mdconv.Convert(os.Stdout, gmiDoc, nil); err != nil {
		log.Fatal(err)
	}
}
